Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.impl.tomcat
Class TC6ServletContainerContext

    java.lang.Object
      org.jboss.portal.web.impl.tomcat.TC6ServletContainerContext

All Implemented Interfaces:
  org.apache.catalina.ContainerListener, org.apache.catalina.LifecycleListener, ServletContainerContext

    public class TC6ServletContainerContext

extends java.lang.Object
implements ServletContainerContext, org.apache.catalina.ContainerListener, org.apache.catalina.LifecycleListener

An implementation of the `ServletContainerContext` for Tomcat.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.portal.web.spi.ServletContainerContext
`ServletContainerContext.Registration`

Constructor Summary
`TC6ServletContainerContext(org.apache.catalina.Engine engine)`

Method Summary
`void` | `containerEvent(org.apache.catalina.ContainerEvent event)`
`java.lang.Object` | `include(javax.servlet.ServletContext targetServletContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, RequestDispatchCallback callback, java.lang.Object handback)` Generic detyped request dispatch to a servlet context using the include mechanism.
`void` | `lifecycleEvent(org.apache.catalina.LifecycleEvent event)`
`void` | `setCallback(ServletContainerContext.Registration registration)` Install the call back object.
`void` | `unsetCallback(ServletContainerContext.Registration registration)` Uninstall the call back object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TC6ServletContainerContext

    public TC6ServletContainerContext(org.apache.catalina.Engine engine)

Method Detail

### include

    public java.lang.Object include(javax.servlet.ServletContext targetServletContext,
                                    javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    RequestDispatchCallback callback,
                                    java.lang.Object handback)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Description copied from interface: `ServletContainerContext`
  Generic detyped request dispatch to a servlet context using the include mechanism.

  Specified by:
    `include` in interface `ServletContainerContext`
  Parameters:
    `targetServletContext` - the target servlet context to dispatch to
    `request` - the request valid in the current servlet context
    `response` - the response valid in the current servlet context
    `callback` - the callback to perform after the dispatch operation
    `handback` - the handback object to provide
  Returns:
    any object
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### setCallback

    public void setCallback(ServletContainerContext.Registration registration)

  Description copied from interface: `ServletContainerContext`
  Install the call back object.

  Specified by:
    `setCallback` in interface `ServletContainerContext`
  Parameters:
    `registration` - the call back

### unsetCallback

    public void unsetCallback(ServletContainerContext.Registration registration)

  Description copied from interface: `ServletContainerContext`
  Uninstall the call back object.

  Specified by:
    `unsetCallback` in interface `ServletContainerContext`
  Parameters:
    `registration` - the call back

### containerEvent

    public void containerEvent(org.apache.catalina.ContainerEvent event)

  Specified by:
    `containerEvent` in interface `org.apache.catalina.ContainerListener`

### lifecycleEvent

    public void lifecycleEvent(org.apache.catalina.LifecycleEvent event)

  Specified by:
    `lifecycleEvent` in interface `org.apache.catalina.LifecycleListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD